Subject: Re: bug#42397: [PATCH 06/14] * lisp/emacs-lisp/eldoc.el (eldoc-minibuffer-message): Fix indentation.

From: Eli Zaretskii <[email-masked]>
Date: Thu, 16 Jul 2020 22:25:19 +0300

> From: Jonas Bernoulli <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 16 Jul 2020 18:56:20 +0200
> 
> I did just dig a bit and found bug#20323.  So it turns out we did
> eventually set the variable, but we did not adjust existing code to
> conform to that setting.

Yes, because doing that would just cause a lot of "no-op" changes,
which affect the output of 'annotate', but otherwise have no real
gains.

Instead, we tell people to modify the whitespace as part of changes to
the code they do anyway.  This way, the attribution stays significant,
and we eventually will get to our goal, albeit slower.

> I'll change that before pushing obviously.  And since this commit is
> already about *fixing* whitespace, I will also *adjust* the remaining
> lines to use the preferred style.

Please only change the whitespace where you do make changes, for the
reasons mentioned above.

> It might be time to revisit the decision to not fix indentation in
> bulk.  Since version Git 2.23 "git blame" can ignore the effect and
> presence of certain commits.

I don't think we want to assume 2.23 yet.  I still use 2.10 on one of
my machines, and fencepost.gnu.org has 2.3.5(!).

> > P.S. Why do you CC yourself on every message?  It causes the Reply to
> > name you twice, so you will get 2 copies of them.  Is this what you
> > want?
> 
> Hmmm.  Because that's not the behavior I experience.  Without that
> explicit CC I get the message zero times (git send-email does not put
> them into the local maildir and debbugs does not appear to be echoing my
> own messages back to me).  With that CC I get the messages exactly once.
> Maybe you experience something else because debbugs sends *all* message
> to you, not just your own?

I was talking about the responses.  The response goes to the address
in From and also to those in CC.  Thus, responding to messages sent by
you will always send you a copy, because you appear in From.